# Class HPackHuffman.HuffmanCode

java.lang.Object
org.apache.coyote.http2.HPackHuffman.HuffmanCode

Enclosing class:
  `HPackHuffman`

protected static class HPackHuffman.HuffmanCode extends Object
Represents a Huffman code with a value and bit length.

## Constructor Summary

Constructors
Constructor
Description
`HuffmanCode(int value, int length)`
Creates a new Huffman code.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getLength()`
Returns the code length in bits.
`int`
`getValue()`
Returns the code value.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HuffmanCode

public HuffmanCode(int value, int length)
Creates a new Huffman code.

Parameters:
  `value` - the code value
  `length` - the code length in bits

## Method Details

### getValue

public int getValue()
Returns the code value.

Returns:
  the code value

### getLength

public int getLength()
Returns the code length in bits.

Returns:
  the code length in bits

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`